# Package org.apache.ignite.internal.cluster

Interface Summary
Interface | Description
--- | ---
ClusterGroupEx | Internal projection interface.
IgniteClusterEx |

Class Summary
Class | Description
--- | ---
ClusterGroupAdapter |
ClusterNodeLocalMapImpl<K,V> | Implementation for node-local storage.
ClusterStartNodeResultImpl | Implementation for cluster start node result.
IgniteClusterAsyncImpl |
IgniteClusterImpl |

Exception Summary
Exception | Description
--- | ---
ClusterGroupEmptyCheckedException | This exception defines illegal call on empty projection.
ClusterTopologyCheckedException | This exception is used to indicate error with grid topology (e.g., crashed node, etc.).
ClusterTopologyServerNotFoundException | Internal exception that is used to indicate that all server nodes have left the grid.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016